@echo off
REM ---------------------------------------------
REM 	This script is intended to clear 
REM 	CEM Incidents when associated alert
REM 	is cleared in SOI
REM 
REM 	Input parameters:
REM			1. Alert Source ID (ex. I:341)
REM ---------------------------------------------

REM Edit before execution
set HOME=E:\Program Files (x86)\CA\actions\deleteCEMIncident

REM Edit before execution
set JAVA_HOME=E:\Program Files (x86)\CA\SOI\jre-64\bin
set CLASSPATH=.;%HOME%\lib\CEMExportTool.jar;%HOME%\lib\activation.jar;%HOME%\lib\axis.jar;%HOME%\lib\axis-ant.jar;%HOME%\lib\cemWSClient.jar;%HOME%\lib\commons-codec-1.3.jar;%HOME%\lib\commons-discovery-0.2.jar;%HOME%\lib\commons-httpclient-3.0.1.jar;%HOME%\lib\commons-logging-1.0.4.jar;%HOME%\lib\javax.servlet.jar;%HOME%\lib\jaxrpc.jar;%HOME%\lib\log4j-1.2.14.jar;b\mail.jar;%HOME%\lib\saaj.jar;%HOME%\lib\sax2.jar;%HOME%\lib\servlet.jar;%HOME%\lib\wsdl4j-1.5.1.jar

REM Edit before execution
set CEM_HOST=
set CEM_PORT=
set CEM_USER=
set CEM_PASS=

set INCIDENT=%1
set INCIDENT=%INCIDENT:~2%

set LOGFILE=%HOME%\log\%DATE:~6,4%%DATE:~3,2%%DATE:~0,2%_%INCIDENT%.log

echo Date: %DATE% %TIME% >> "%LOGFILE%"
echo Input: %1 >> "%LOGFILE%"

"%JAVA_HOME%\java.exe" -cp "%CLASSPATH%" com.export.CEMExportTool -host %CEM_HOST% -username %CEM_USER% -password %CEM_PASS% -port %CEM_PORT% -command 20 -incidentid %INCIDENT% -comments "Closed from SOI" >> "%LOGFILE%" 2>&1

echo *************************** >> "%LOGFILE%"

forfiles /P "%HOME%\log" /M *.log /D -7 /C "cmd /c del /F @file" > NUL 2>&1

exit /B 0